{ lib, naersk, fetchCrate }:

naersk.buildPackage rec {
  pname = "preserves-tools";

  version = "2.5.0";
  src = fetchCrate {
    inherit pname version;
    sha256 = "sha256-OFL56fJQdv04QxfIPqDS1WO+H9ApcLgCZtpKq9cMlSs=";
  };

  meta = {
    description = "Swiss army knife for working with Preserves documents";
    homepage = "https://preserves.gitlab.io/preserves/doc/preserves-tool.html";
    maintainers = with lib.maintainers; [ ehmry ];
    mainProgram = "preserves-tool";
  };
}
